@extends('layouts.master_user')
@section('page-title')
Sale Report
@endsection
@section('css')
<style>

    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }

    .display-min {
        width: 280px;
    }

    th{
        text-align: center;
    }
</style>
@section('reports')
active
@endsection
@section('sale-report')
active
@endsection

@endsection

@section('content')

@section('page-breadcrumb')
{{-- <li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Class of Account</strong>
</li> --}}
@endsection

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        <div class="ibox-content">
            <div class="row">
                <div class="col-md-6">
                    <p><strong>Date : </strong><strong>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</strong></p>
                </div>
            </div>
            <div class="form-group top pull-right">
                {{-- <button class="btn btn-primary" id="printbtn" onclick="window.print()"><i
                    class="fa fa-print"></i> Print </button> --}}
                <a href="/reports/sale-invoice/pdfview/{{$from_date}}/{{$to_date}}" target="_blank" class="btn btn-primary"><i class="fa fa fa-print"> Print </i> & <i class="fa fa-file-pdf-o">  PDF Format</i></a>
                <button class="btn btn-secondary " type="button"><i class="fa fa fa-envelope"></i>&nbsp;&nbsp;Email (PDF
                    Format)</button>
                    {{-- <a href="https://api.whatsapp.com/send?phone=923078566095&text=https://google.com" target="_blank">WA</a> --}}
            </div>
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>Date</th>
                        <th>Particulars</th>
                        <th>Voucher Description</th>
                        <th>Debit</th>
                        <th>Credit</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($sorted_data as $item)

                        <tr>
                            <td>{{\Carbon\Carbon::parse($item->date)->format('d-m-Y')}}</td>
                            <td>{{$item->account->name_of_organisation}}</td>
                            <td><p>{{$item->invoice_type}}# {{ $item->invoice_no }}</p></td>
                            @if ($item->invoice_type == "sales")
                                <td></td>
                                <td>{{ number_format($item->gross_total - $item->discount, $decimal, '.', '') }}</td>
                            @elseif ($item->invoice_type == "sale return")
                                <td>{{ number_format($item->gross_total - $item->discount, $decimal, '.', '') }}</td>
                                <td></td>
                            @endif
                            {{-- <td></td>
                            <td>{{$item->paid_amount}}</td> --}}
                        </tr>
                    @endforeach
                    <tr>
                        <td colspan="3"><strong>Total Credit</strong></td>
                        <td></td>
                        <td><strong>{{$credit_decimal}}<strong></td>
                    </tr>
                    <tr>
                        <td colspan="3"><strong>Total Debit</strong></td>
                        <td><strong>{{$debit_decimal}}</strong></td>
                        <td></td>
                    </tr>
                    <tr>
                        <td colspan="3"><strong>Total</strong></td>
                        @if ($total_decimal >= 0)
                            <td></td>
                            <td><strong>{{$total_decimal}}</strong></td>
                        @else
                            <td><strong>{{$total_decimal}}</strong></td>
                            <td></td>
                        @endif
                    </tr>
                </tbody>
            </table>


        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        }).datepicker('setDate',new Date());
    });

    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
@endsection
