@extends('layouts.master_user')
@section('page-title')
Ledger Report
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }

    .vcenter {
        margin-top: 30px;
    }

    .move_l {
        margin-right: 10px;

    }

    .display-none {
        display: none;
    }
    .display-min{
        width:280px;
    }

</style>

@endsection
@section('reports')
active
@endsection
@section('Statement-of-Accounts')
active
@endsection

@section('content')

@section('page-breadcrumb')
{{-- <li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Ledger Report</strong>
</li> --}}
@endsection

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Expense</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}

        <div class="ibox-content">
            <div class="row">
                <div class="col-md-6">
                    <p><strong>Date : </strong><strong>{{\Carbon\Carbon::parse($from_date)->format('d-m-Y')}} to {{\Carbon\Carbon::parse($to_date)->format('d-m-Y')}}</strong></p>
                </div>
            </div>
            <div><p><strong>{{$ledger->name_of_organisation}}</strong></p></div>
            <div class="row m-b-md top">
                {{-- <div class="col-sm-3">
                    <label for="select_type">Select Report Type</label>
                    <select name="report_type" id="report_type" class="form-control" onchange="showDate()">
                        <option value="">Select Report Type</option>
                        <option value="date_wise">Bill Wise</option>
                        <option value="month_wise">VAT Wise</option>
                    </select>
                </div> --}}
                <div class="col-sm-9 col-sm-offset-3">
                    <div class="form-group pull-right">
                        {{-- <button class="btn btn-primary" id="printbtn" onclick="window.print()"><i class="fa fa-print"></i> Print </button> --}}
                        <a href="/reports/statement-of-accounts/pdfview/ledger/{{$from_date}}/{{$to_date}}/{{$ledger->id}}" target="_blank" class="btn btn-primary"><i class="fa fa fa-print"> Print </i> & <i class="fa fa-file-pdf-o">  PDF Format</i></a>
                        <button class="btn btn-secondary " type="button"><i class="fa fa fa-envelope"></i>&nbsp;&nbsp;Email (PDF
                            Format)</button>
                            {{-- <button type="button" class="btn" id="customer_info_btn"><i
                                class="fa fa-info"></i></button> --}}
                        <div id="customer_info" class="display-none">
                            <p>Contact Person Name: Test</p>
                            <p>Contact #:1234567</p>
                            <p>WhatsApp:1234567</p>
                            <p>Email:test@gmail.com</p>
                            <p>Address: House# , street#, City, Country</p>
                        </div>
                    </div>
                </div>
            </div>
            <table class="table table-bordered table-hover">
                <thead>
                  <tr>
                    <th>Date</th>
                    {{-- <th>Particulars</th> --}}
                    <th>Voucher Description</th>
                    <th>Debit</th>
                    <th>Credit</th>
                  </tr>
                </thead>
                <tbody>
                    @foreach ($accounts as $item)
                        <tr>
                            <td>{{\Carbon\Carbon::parse($item->date)->format('d-m-Y')}}</td>
                            <td>{{$item->voucher_type}} # {{$item->voucher_no}}</td>
                            <td>
                                @if ($item->debit != 0)
                                    <b>{{ number_format($item->debit,$decimal,'.','') }}</b>
                                @endif
                            </td>
                            <td>
                                @if ($item->credit != 0)
                                    <b>{{ number_format($item->credit,$decimal,'.','') }}</b>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                </tbody>
                <tfoot>
                    <tr>
                        <td></td>
                        <td><b>Opening Balance</b></td>
                        <td>
                            @if ($opening_balance_type == 'debit')
                                {{ $opening_balance_decimal }}
                            @endif
                        </td>
                        <td>
                            @if ($opening_balance_type == 'credit')
                                {{ abs($opening_balance_decimal) }}
                            @endif
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td><b>Current Balance</b></td>
                        <td><b>{{$debit_decimal}}</b></td>
                        <td><b>{{$credit_decimal}}</b></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td><b>Closing Balance</b></td>
                        <td>
                            @if ($opening_balance_type == 'debit')
                                {{ $closing_balance_decimal }}
                            @endif
                        </td>
                        <td>
                            @if ($opening_balance_type == 'credit')
                                {{ abs($closing_balance_decimal) }}
                            @endif
                        </td>
                    </tr>

                </tfoot>
            </table>
            {{-- <div class="row">
                <div class="col-sm-2 col-sm-offset-10">
                    <p><strong>Opening Balance : 116.50</strong></p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-2 col-sm-offset-10">
                    <p><strong>Current Balance : 116.50</strong></p>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-2 col-sm-offset-10">
                    <p><strong>Closing Balance : 116.50</strong></p>
                </div>
            </div> --}}
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        }).datepicker('setDate',new Date());
    });
            function showLedgerAccount(){
                var select_status=$('#ledger_account_class_id').val();

                if(select_status=='account'){
                    $('#account_class').show();
                    $('#select').hide();
                }
                else{
                    $('#account_class').hide();
                    $('#select').show();


                }
            }
    $(document).ready(function () {
    $("#customer_info_btn").click(function () {
    $("#customer_info").toggle();
    });
});
</script>
@endsection
