@extends('layouts.master_user')
@section('page-title')
Warehouse Stock Transfer
@endsection
@section('css')
<style>
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    .table-responsive>.table-bordered {
        border: 0;
    }
    th{
        text-align: center;
    }
</style>

@endsection
@section('transaction')
active
@endsection
@section('warehouse-stock-transfer')
active
@endsection
@section('content')

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="row wrapper white-bg page-heading">
        <div class="col-md-12">
            <a href="/transactions/warehouse-stock-transfers" class="btn btn-primary"> Go Back</a>
        </div>
        @if(count($warehouse_stock_transfer->items) != 0)
        <div class="col-md-12">
            <div class="card strpied-tabled-with-hover" style="padding-top: 20px;">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover dt-responsive" >
                        <thead>
                        <tr>
                            <th>Imei Serial Number</th>
                            <th>Item Name</th>
                            {{-- <th>Color</th> --}}
                            <th>From Warehouse</th>
                            <th>To Warehouse</th>
                            <th>Remarks</th>
                        </tr>
                        </thead>
                        <tbody>
                            @foreach($warehouse_stock_transfer->items as $item)
                            <tr>
                                <td>{{ $item->imei_serial_no }}</td>
                                <td>{{ $item->selectedItem->name->name }}</td>
                                {{-- <td>{{ $item->selectedItem->color }}</td> --}}
                                <td>{{ $item->fromWarehouse->name }}</td>
                                <td>{{ $item->toWarehouse->name }}</td>
                                <td>{{ $item->remarks }}</td>

                            </tr>
                            @endforeach
                        </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        @else
            {{-- <h4 style="text-align:center;">No Warehouse Stock Transfer has been created yet.</h4> --}}
        @endif
    </div>
</div>
@endsection

@section('js')
<script>

</script>
@endsection
