@extends('layouts.crusher')
@section('content')
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Purchase Invoice</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="{{ route('crusher.purchase_invoices.create') }} ">
                                <button class="btn btn-cust1 float-right" type="submit">Create Purchase Invoice
                                </button>
                            </a>
                        </div>
                    </div>
                    <div class="table-responsive mb-0" data-pattern="priority-columns">
                        <table id="datatable" class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Purchase Voucher Number</th>
                                    <th>Amount</th>
                                    <th>Action</th>
                                </tr>
                            </thead>

                            <tbody>
                                @forelse ($purchaseInvoices as $pi)
                                    {{-- @dd($pi)     --}}
                                    <tr>
                                        <td>{{ $pi->date }}</td>
                                        <td>{{ $pi->invoice_no }}</td>
                                        <td>{{ $pi->total_net_amount }}</td>
                                        <td>
                                            <a
                                                href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $pi->id]) }}">
                                                <i class="far fa-eye cust-icon2"></i></a>
                                            @if (!$pi->trashed())
                                                <a
                                                    href="{{ route('crusher.purchase_invoices.edit', ['purchase_invoice' => $pi->id]) }}">
                                                    <i class="far fa-edit cust-icon2"></i></a>

                                                <form
                                                    action="{{ route('crusher.purchase_invoices.delete', ['purchase_invoice' => $pi->id]) }}"
                                                    method="POST" class="d-inline">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button onclick="return confirm('Sure want to delete?')" type="submit"
                                                        class="btn btn-link p-0 m-0 text-danger">
                                                        <i class="far fa-window-close cust-icon2"></i>
                                                    </button>
                                                </form>
                                            @else
                                                <span class="text-danger">Deleted</span>
                                            @endif
                                            <a href="{{route('crusher.debit_notes.create', ['pi_no'=>$pi->invoice_no])}}" class="cust-btn3">
                                                    <button type="button" class="btn btn-outline-primary">Create Debit Note</button>
                                            </a>
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                            </tbody>
                        </table>
                    </div>

                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->
@endsection
