@extends('layouts.crusher')
@section('content')





    <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-1">
                <div class="col-md-6">
                    <h6 class="card-title mb-4 titlcust">View Receipt Voucher</h6>
                </div>
                <div class="col-md-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                    <a href="">
                        <button class="btn btn-outline-primary float-right" type="submit">Back
                        </button>
                    </a>
                </div>
            </div>
            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Receipt Voucher</h6>
                    <br>



                    <div class="row border1">
                        @if (!empty(($companyLogo = auth()->user()->company_logo)))
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="{{ asset('storage/app/public/' . $companyLogo) }}" class="img-fluid"
                                    alt="logo" width="180px">
                            </div>
                        @else
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="{{ asset('assets/images/acp-logo.png') }}" class="img-fluid" alt="logo"
                                    width="180px">
                            </div>
                        @endif
                        <div class="col-md-6">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12 ">
                                        <span>{{ $company->name }}</span>
                                    </div>
                                    <div class="col-md-12 ">
                                        <span>{{ $company->country }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Cr Number :</label>
                                        <span>{{ $company->cr_number }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>VAT Number :</label>
                                        <span>{{ $company->vat_number }}</span>
                                    </div>

                                    <div class="col-md-12">
                                        <span>{{ session()->get('branch')->address }}</span>
                                    </div>
                                </div>
                            </div>

                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <h5>Buyer</h5>
                                    </div>
                                    @if ($receiptVoucher[0]->buyer != null)
                                        <div class="col-md-12">
                                            {{-- <label>Company Direct</label> --}}

                                            <span>{{ $receiptVoucher[0]->account->account_name  ?? 'No Record Found'}}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span>{{ $receiptVoucher[0]->buyer->email ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span>{{ $receiptVoucher[0]->buyer->name ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span>{{ $receiptVoucher[0]->buyer->phone ?? 'No Record Found' }}</span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span>{{ $receiptVoucher[0]->buyer->vat_number ?? 'No Record Found' }}</span>
                                        </div>
                                    @else
                                    <div class="col-md-12">
                                        {{-- <label>Company Direct</label> --}}

                                        <span>{{ $receiptVoucher[0]->expense[0]->account->name_of_organisation ?? $receiptVoucher[0]->expense[0]->account->account_name??$receiptVoucher[0]->expense[0]->account->first_name.' '.$receiptVoucher[0]->expense[0]->account->last_name }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Email :</label>
                                        <span>{{ $receiptVoucher[0]->expense[0]->account->email ?? 'No Record Found' }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Contact Person Name :</label>
                                        <span>{{ $receiptVoucher[0]->expense[0]->account->contact_person_name ?? 'No Record Found' }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Contact Number :</label>
                                        <span>{{ $receiptVoucher[0]->expense[0]->account->mobile ?? 'No Record Found' }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>VAT Number :</label>
                                        <span>{{ $receiptVoucher[0]->expense[0]->account->vat_number ?? 'No Record Found' }}</span>
                                    </div>
                                    @endif
                                </div>
                            </div>

                        </div>
                        <div class="col-md-4">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <label>Voucher # :</label>
                                        <span>{{ $receiptVoucher[0]->invoice_no }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Date :</label>
                                        <span>{{ $receiptVoucher[0]->date }}</span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Method :</label>
                                        <span>{{ $receiptVoucher[0]->payment_method }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Account :</label>
                                        <span>
                                            @isset($receiptVoucher[0]->expense[0]->account)
                                                {{ $receiptVoucher[0]->expense[0]->account->name_of_organisation ?? $receiptVoucher[0]->expense[0]->account->account_name }}
                                            @endisset
                                        </span>

                                    </div>

                                    <div class="col-md-12">
                                        <label>Cheaque No # :</label>
                                        <span>{{ $receiptVoucher[0]->cheaque_no }}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Cheaque Date :</label>
                                        <span>{{ $receiptVoucher[0]->cheaque_date }}</span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Bank Name :</label>
                                        <span>{{ $receiptVoucher[0]->bank_name }}</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <br>

                    <div class="row">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>S No.</th>
                                        <th>Account Name</th>
                                        <th>Amount</th>
                                        <th>BillWise/OnAccount</th>
                                        <th>Select Invoice</th>
                                    </tr>
                                </thead>

                                <tbody id="table-body">
                                    @forelse ($receiptVoucher as $rv)
                                        @forelse ($rv->expense as $key=>$expense)
                                            <tr>
                                                <td>{{ $key + 1 }}</td>
                                                <td>
                                                    <p>
                                                        @isset($expense->account)
                                                            {{ $expense->account->name_of_organisation ?? $expense->account->account_name }}
                                                        @endisset
                                                    </p>

                                                </td>
                                                <td>
                                                    <p>{{ $expense->amount }}</p>
                                                </td>
                                                <td>
                                                    <p>{{ $expense->bill_wise_id }}</p>
                                                </td>
                                                <td>
                                                    <p>{{ $expense->inovice_id }}</p>
                                                </td>
                                            </tr>
                                        @empty
                                        @endforelse
                                    @empty
                                    @endforelse
                                    <tr>
                                        <td></td>
                                        <td>Total Amount</td>
                                        <td id="grand-total"></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>



                    <br>
                    <div class="row">
                        <div class="col-md-12">
                            <label for="name">Amount in Words:</label>
                            <span id="total_net_amount_words"></span>
                        </div>

                    </div>
                    </form>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->


    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Initialize total amount
            let totalAmount = 0;

            // Extract receipt voucher data from Blade's inline PHP
            const receiptVoucher = @json($receiptVoucher);

            // Loop through receipt voucher expenses to calculate total amount
            receiptVoucher.forEach(function(rv) {
                rv.expense.forEach(function(expense) {
                    const expenseAmount = parseFloat(expense.amount);
                    totalAmount += expenseAmount;
                });
            });

            // Update the grand total element with the calculated total amount
            document.getElementById("grand-total").textContent = totalAmount.toFixed(2);

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(totalAmount.toFixed({{session()->get('branch')->currency_decimal}}));
            $('#total_net_amount_words').text(totalNetAmountWords);
        });
    </script>

@endsection
