@extends('layouts.superadmin')
@section('content')

<div class="page-content">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <h4 class="page-title mb-0 font-size-18">Powered By ACP</h4>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->

    <!-- end row -->

    <div class="row">
        <div class="col-xl-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-6">
                            <h6 class="card-title mb-4 titlcust">Download Documents</h6>
                        </div>

                    </div>
                    <div class="card-body">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table id="datatable" class="table table-bordered nowrap table-striped"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Company Name</th>
                                        <th>Branch Name</th>
                                        <th>Submited Date</th>
                                        <th>Files</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    @foreach ($ReceivedVouchers as $ReceivedVoucher)


                                    <tr>
                                        <td>{{ $ReceivedVoucher->branch->company->name }}</td>
                                        <td>{{ $ReceivedVoucher->branch->name }}</td>
                                        <td>{{ $ReceivedVoucher->created_at->format('Y-m-d h:i:s') }}</td>
                                        <td>
                                            <a>
                                                <p>{{ $ReceivedVoucher ->files }}</p>
                                                <a class="btn btn-outline-primary" href="{{asset('/storage/app/public/'.$ReceivedVoucher->voucher)}}">Download Files</a>
                                                @if (!$ReceivedVoucher->branch->status)
                                                        <form
                                                            action="{{ route('superadmin.branches.block_unblock', ['branch' => $ReceivedVoucher->branch_id]) }}"
                                                            method="POST">
                                                            @csrf
                                                            @method('put')
                                                            <button class="btn btn-outline-primary"
                                                            type="submit">Unblock Branch</button>
                                                        </form>
                                                    @else
                                                        <form
                                                            action="{{ route('superadmin.branches.block_unblock', ['branch' => $ReceivedVoucher->branch_id]) }}"
                                                            method="POST">
                                                            @csrf
                                                            @method('put')
                                                            <button class="btn btn-outline-primary"
                                                                type="submit">Block Branch</button>
                                                        </form>
                                                    @endif
                                            </a>
                                        </td>
                                    </tr>

                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <!-- end col -->



                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->
    </div>

    <!-- end row -->

    <!-- end row -->

    <!-- end row -->
</div>
<!-- End Page-content -->
@endsection
